Subject: bug#21331: 24.5; LibreOffice documents have less support than Microsoft Office docs (in Gnus?)

From: Glenn Morris <[email-masked]>
Date: Wed, 26 Aug 2015 12:19:18 -0400

I really doubt any GNU/Linux distribution has better support for MS
Office in this area (a program they cannot ship or even install,
ignoring Wine) then LibreOffice (which they do ship). /etc/mailcap on
Debian seems to have the relevant soffice entries. /etc/mailcap on Red
Hat seems to be largely empty, basically punting everything to xdg-open,
which works fine for me on LibreOffice docs even in RHEL7, so I'm sure
it does on Fedora.

So on modern systems probably Emacs should give up and just call
xdg-open. (Though I seem to recall it's a pain because it forks and
seems to exit.)

But yes, some fallback mailcap entries would paper things over.